# Injecting Fake Data

### Fake Transports

We support injecting fake transport data for testing the integration with our APIs or testing our technology built on top of transports data ([Engagement](https://docs.sentiance.com/sentiance-insights/engagement): streaks, challenges, badges, etc).

This can be achieved by using the [create\_fake\_transport](https://graphqldocs.sentiance.com/#mutation-create_fake_transport) mutation using an [API KEY](https://docs.sentiance.com/important-topics/authentication-and-authorization) with the scope [FAKE\_DATA\_INSERT](https://docs.sentiance.com/important-topics/authentication-and-authorization#:~:text=identify%20the%20key.-,Scopes,-Scopes%20allow%20you).&#x20;

```graphql
mutation ($user_id: String) {
    create_fake_transport(
	user_id: $user_id # has to be a valid Sentince ID
	mode: CAR
	safety_scores: {
		overall_safety: 1.0
		legal: 1.0
		smooth: 1.0
		focus: 1.0
		call_while_moving: 1.0
	},
	with_trajectory: true) # the trip will have waypoints for trajectory
    {
	transport_id # the ID of the injected fake transport
    }
}
```

This feature is only available for dev app IDs; get in touch with your contact at Sentiance or contact <support@sentiance.com> to get you started.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/injecting-fake-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
